#include "TcpServer.h"

#include <QTcpSocket>

TcpServer::TcpServer(QObject* parent)
    : QTcpServer(parent)
{
    this->setMaxPendingConnections(1);
}

void TcpServer::incomingConnection(int socketDescriptor)
{
    qDebug() << "Incomming connection...";
    QTcpSocket *socket = new QTcpSocket();
    if(!socket->setSocketDescriptor(socketDescriptor)){
        delete socket;
        return;
    }
    emit newTcpConnection(socket);
}
